<solidify-base-action-dialog [titleToTranslate]="'deposit.popup.person.title' | translate">
  <div class="warning">{{'deposit.popup.person.warning' | translate}}</div>
  <div [solidifySpinner]="isLoadingPersonObs | async"
       class="wrapper"
  >
    <dlcm-deposit-new-person-form #formPresentational
                                  (submitChange)="savePerson($event)"
    ></dlcm-deposit-new-person-form>
  </div>
</solidify-base-action-dialog>
<div mat-dialog-actions>
  <button [mat-dialog-close]=""
          [solidifyAutoFocus]="true"
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="formPresentational?.onSubmit()"
          [disabled]="!formPresentational?.form.valid || !formPresentational?.form.dirty || (isLoadingPersonObs | async)"
          color="primary"
          mat-flat-button
  >{{labelTranslateEnum.submit | translate}}
  </button>
</div>
